### Hierarchy

- IJenkinsObject
  - IJenkinsBuild

### Implemented by

- JenkinsBuild

## Index

### Properties

- _class
- actions
- artifacts
- building
- builtOn
- changeSets
- culprits
- date
- description
- displayName
- duration
- estimatedDuration
- executor
- fullDisplayName
- id
- keepLog
- number
- queueId
- result
- timestamp
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:25

### actions

actions: Array<IJenkinsAction>

- Defined in jenkins-api-ts-typings.ts:130

### artifacts

artifacts: Array<any>

- Defined in jenkins-api-ts-typings.ts:131

### building

building: boolean

- Defined in jenkins-api-ts-typings.ts:125

### builtOn

builtOn: string

- Defined in jenkins-api-ts-typings.ts:127

### changeSets

changeSets: Array<IJenkinsChangeSet>

- Defined in jenkins-api-ts-typings.ts:128

### culprits

culprits: Array<any>

- Defined in jenkins-api-ts-typings.ts:133

### date

date: Date

- Defined in jenkins-api-ts-typings.ts:124

### description

description: string

- Defined in jenkins-api-ts-typings.ts:117

### displayName

displayName: string

- Defined in jenkins-api-ts-typings.ts:115

### duration

duration: number

- Defined in jenkins-api-ts-typings.ts:121

### estimatedDuration

estimatedDuration: number

- Defined in jenkins-api-ts-typings.ts:122

### executor

executor: Array<any>

- Defined in jenkins-api-ts-typings.ts:132

### fullDisplayName

fullDisplayName: string

- Defined in jenkins-api-ts-typings.ts:116

### id

id: string

- Defined in jenkins-api-ts-typings.ts:118

### keepLog

keepLog: boolean

- Defined in jenkins-api-ts-typings.ts:126

### number

number: number

- Defined in jenkins-api-ts-typings.ts:112

### queueId

queueId: string

- Defined in jenkins-api-ts-typings.ts:119

### result

result: string

- Defined in jenkins-api-ts-typings.ts:120

### timestamp

timestamp: number

- Defined in jenkins-api-ts-typings.ts:123

### url

url: string

- Defined in jenkins-api-ts-typings.ts:113

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

Generated using TypeDoc